#
# spec file for package golang-gopkgin-check
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         go-check
%global repo            check
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     gopkg.in/check.v1

Name:           golang-gopkgin-check
Version:        0.0.0+git20161122.aa8c435
Release:        bp155.2.11
Summary:        Rich testing framework for the Go language
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_nostrip}
%{go_provides}

%description
The Go language provides an internal testing library, named "testing", which is
relatively slim due to the fact that the standard library correctness by itself
is verified using it. The gocheck package, on the other hand, expects the
standard library from Go to be working correctly, and builds on it to offer a
richer testing framework for libraries and applications to use.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%check
#gotest %{import_path}...

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md TODO LICENSE

%changelog
* Thu Dec  8 2016 tboerger@suse.com
- Update to version 0.0.0+git20161122.aa8c435:
  * Replaced path.Join with filepath.Join in newPath() in order to facilitate proper MkDir() on all OS-es
  * Fixed misleading tempdir removal message under Windows.
  * Include the whole Go license on benchmark.go.
  * check: fix data race on C.status
  * Fix panic tracebacks with Go tip.
  * Moved the reporter functions to a separate file.
  * Do not export reporterS.
  * Get the filename from runtime.
  * Fix tests and some golint issues (#85)
  * Fix typo: conjuction (#83)
* Thu Dec  8 2016 tboerger@suse.com
- Refactoring based on new packaging proposal
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-gopkgin-check
- update version 0.0.0+git20150626.b3d3430
- use golang-packaging for packaging
* Sat Mar 21 2015 i@marguerite.su
- rename to go-gocheck
- remove go_disable_brp_strip_static_archive usage
- update version 0.0.0+git20140401.1632973
* Sun Sep  7 2014 i@marguerite.su
- update version 2014.08.27 from github
  * see upstream git commits
* Tue Aug 13 2013 speilicke@suse.com
- Use %%{go_exclusivearch} macro
* Mon Aug  5 2013 ro@suse.de
- use ExclusiveArch to limit build to the same architectures as go
* Tue Aug 14 2012 graham@andtech.eu
- Update to latest r2012.07.24
- support for std libs testing package benchmarking
* Mon Jun 11 2012 graham@andtech.eu
- Update spec for new package locations
- Add documentation sub package
* Mon Mar  5 2012 graham@andtech.eu
- Update to weekly.2012-03-04
- Added HasLen checker
- Renamed Bug to Commentf.
- Added DeepEquals and Equals now matches the behavior of ==
* Tue Dec 13 2011 saschpe@suse.de
- Update to bzr 13/12/2011 version:
  * Port to weekly.2011-12-02
  * *C now has an Output method matching the log.Logger interface.
* Fri Oct  7 2011 graham@andtech.eu
- correct license to BSD3c
* Wed Oct  5 2011 graham@andtech.eu
- Update to latest bzr, builds against go release r.60
* Sat Jun 25 2011 graham@andtech.eu
- Update to latest bzr (fixes breakage due to GOTO lang change)
* Tue Jun 14 2011 saschpe@gmx.de
- Disabled testsuite on Mandriva to avoid build error
* Tue Jun 14 2011 saschpe@gmx.de
- Initial version
